Bug 182326 - xw9300 - kernel panic after updating to FC5-test3
xw9300 - kernel panic after updating to FC5-test3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 15:54 EST by Lonni J Friedman
Modified: 2015-01-04 17:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 17:28:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lonni J Friedman 2006-02-21 15:54:33 EST
Description of problem:
Seen on  an HP xw9300 with 8GB RAM, two Opterons & SATA (sata_nv), I was running
FC5 without problems until today.  I had last run 'yum update' last Thursday. 
After running it today and rebooting, I'm getting a kernel panic:
#######
nv_sata: Primary device removed      
nv_sata: Secondary device added
nv_sata: Secondary device removed
 sda1 sda2                       
sd 3:0:0:0: Attached scsi disk sda
device-mapper: 4.5.0-ioctl (2005-10-04) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds                          
EXT3-fs: mounted filesystem with ordered data mode.
Kernel panic - not syncing: Attempted to kill init!
                                                   
Call Trace: <ffffffff801323e2>{panic+134}
<ffffffff8017c0a8>{cache_free_debugcheck+547}
       <ffffffff8034020b>{_spin_unlock_irq+9} <ffffffff8033fbc0>{__down_read+52}
      
       <ffffffff8034024e>{_spin_lock_irqsave+9} <ffffffff80204076>{__up_read+19}
       <ffffffff80135c97>{do_exit+140} <ffffffff80136554>{sys_exit_group+0}     
       <ffffffff8010a7aa>{system_call+126} 
########


How reproducible:
Run 'yum update' and reboot


Steps to Reproduce:
1.Run 'yum update'
2.reboot


Actual results:
kernel panic

Expected results:
successful boot
Comment 1 Peter Jones 2006-03-08 23:10:44 EST
Workaround is to boot with pci=noacpi .
Comment 2 Dave Jones 2006-10-16 17:02:58 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Lonni J Friedman 2006-10-16 17:21:26 EDT
This bug can be closed.  I haven't seen this crash in months.

Note You need to log in before you can comment on or make changes to this bug.